MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031513Open CASCADE[OCCT] OCCT:Data Exchangepublic2020-04-22 23:492020-09-20 11:14
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031513: Data Exchange - FSD_Base64Decoder::Decode() returns buffer with wrong length
DescriptionFSD_Base64Decoder::Decode() allocates buffer with estimated length, which might include up to 3 bytes of padding. It is desired returning buffer with exact size.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031514feedbackabv Foundation Classes - Add Base64 encoding function 
child of 0030692closedbugmaster Data Exchange - introduce base framework RWMesh for importing mesh data formats into XDE document 

-  Notes
(0091721)
git (administrator)
2020-04-22 23:51

Branch CR31513 has been created by kgv.

SHA-1: ac9b991c4fea633d37c0f00cdeb3fe2ee1d5f1dc


Detailed log of new commits:

Author: kgv
Date: Wed Apr 22 23:50:55 2020 +0300

    0031513: Data Exchange - FSD_Base64Decoder::Decode() returns buffer with wrong length
(0094701)
git (administrator)
2020-09-14 11:04

Branch CR31513 has been updated forcibly by kgv.

SHA-1: 3543701d60b71855fadccc8e6d9d78ee167e951f
(0094733)
kgv (developer)
2020-09-14 14:35

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31513-master-KGV/ [^]
(0094736)
osa (developer)
2020-09-14 14:49

The patch was reviewed without remarks.
(0095061)
bugmaster (administrator)
2020-09-19 17:19

Combination -
OCCT branch : IR-2020-09-18
master SHA - b0b766826118f74b9857a932b8cec8c52a25c492
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-09-18 SHA - a6486d839da1ba1383ef6cc1a1a446a172f494c7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17528.97000000011 / 17378.390000000145 [+0.87%]
Products
Total CPU difference: 12127.32000000009 / 12079.540000000095 [+0.40%]
Windows-64-VC14:
OCCT
Total CPU difference: 18862.703125 / 18898.921875 [-0.19%]
Products
Total CPU difference: 13314.828125 / 13329.21875 [-0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0095130)
git (administrator)
2020-09-20 11:14

Branch CR31513 has been deleted by inv.

SHA-1: 3543701d60b71855fadccc8e6d9d78ee167e951f

- Related Changesets
occt: master df9f6614
Timestamp: 2020-04-22 20:50:55
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031513: Data Exchange - FSD_Base64Decoder::Decode() returns buffer with wrong length
mod - src/FSD/FSD_Base64Decoder.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-04-22 23:49 kgv New Issue
2020-04-22 23:49 kgv Assigned To => kgv
2020-04-22 23:51 git Note Added: 0091721
2020-04-23 10:21 kgv Relationship added child of 0030692
2020-04-28 22:59 abv Relationship added related to 0031514
2020-09-11 17:28 gka Target Version 7.5.0 => 7.6.0*
2020-09-11 17:36 kgv Product Version => 7.4.0
2020-09-11 17:36 kgv Target Version 7.6.0* => 7.5.0
2020-09-11 17:37 kgv Status new => assigned
2020-09-14 11:04 git Note Added: 0094701
2020-09-14 14:35 kgv Note Added: 0094733
2020-09-14 14:35 kgv Assigned To kgv => osa
2020-09-14 14:35 kgv Status assigned => resolved
2020-09-14 14:35 kgv Steps to Reproduce Updated View Revisions
2020-09-14 14:49 osa Note Added: 0094736
2020-09-14 14:49 osa Assigned To osa => bugmaster
2020-09-14 14:49 osa Status resolved => reviewed
2020-09-19 15:38 bugmaster Test case number => Not required
2020-09-19 17:19 bugmaster Note Added: 0095061
2020-09-19 17:19 bugmaster Status reviewed => tested
2020-09-20 10:55 bugmaster Changeset attached => occt master df9f6614
2020-09-20 10:55 bugmaster Status tested => verified
2020-09-20 10:55 bugmaster Resolution open => fixed
2020-09-20 11:14 git Note Added: 0095130


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker